//预加载模板
var templates = {};
var getTemplate = function(name, header, content, loading) {
	var template = templates[name];
	if (!template) {
		//预加载共用父模板；
		var headerWebview = mui.preload({
			url: header,
			id: name + "-main",
			styles: {
				popGesture: "hide",
			},
			extras: {
				mType: 'main'
			}
		});
		var subWebview;
		//预加载共用子webview
		if (mui.os.ios) {
			subWebview = mui.preload({
				url: !content ? "" : content,
				id: name + "-sub",
				styles: {
					top: '64px',
					bottom: '0px',
					scrollIndicator: 'none'
				},
				extras: {
					mType: 'sub'
				}
			});
		} else {
			subWebview = mui.preload({
				url: !content ? "" : content,
				id: name + "-sub",
				styles: {
					top: '44px',
					bottom: '0px',
					scrollIndicator: 'none'
				},
				extras: {
					mType: 'sub'
				}
			});
		}

		subWebview.addEventListener('loaded', function() {
			setTimeout(function() {
				subWebview.show();
			}, 50);
		});
		subWebview.hide();
		headerWebview.append(subWebview);
		//iOS平台支持侧滑关闭，父窗体侧滑隐藏后，同时需要隐藏子窗体；
		if (mui.os.ios) { //5+父窗体隐藏，子窗体还可以看到？不符合逻辑吧？
			headerWebview.addEventListener('hide', function() {
				subWebview.hide("none");
			});
		}
		templates[name] = template = {
			name: name,
			header: headerWebview,
			content: subWebview,
			loaded: loading
		};
	}
	return template;
};
//子页面打开方式
var openWindow = function(href, title) {
	var template = getTemplate('default');
	var headerWebview = template.header;
	var contentWebview = template.content;
	//通知模板修改标题和右侧菜单；
	mui.fire(headerWebview, 'updateHeader', {
		title: title,
		rightMenuClass: "icon-favor",
		rightMenuText: ""
	});
	var reload = true;
	if (!template.loaded) {
		if (contentWebview.getURL() != href) {
			contentWebview.loadURL(href);
		} else {
			reload = false;
		}
	} else {
		reload = false;
	}
	(!reload) && contentWebview.show();
	headerWebview.show('slide-in-right', 150);
};