﻿function jsYirenTracks() {
    var dataInit = { datayirens: [], datatracks: [] };
    var sortparamyiren, sortparamtrack;
    var _me = this;

    this.datayirens = dataInit.datayirens;
    this.datatracks = dataInit.datatracks;
 
    function isSameSortParams(p1, p2) {
        if (p1 == null || p2 == null) return false;
        if (p1.key == p2.key) return true;
        return false;
    }
    this.init = function (fncallback) {
        if (sessionStorage["jsfun_yirentracks"] != null) {
            dataInit = JSON.parse(sessionStorage["jsfun_yirentracks"]);
            _me.datayirens = dataInit.datayirens;
            _me.datatracks = dataInit.datatracks;
            fncallback();
            return;
        }
        var url ="/interface/yiren/find/alltracks.aspx";
        var url = jsfun.getServerURL(url)+"?time=" + (new Date()).valueOf();
        var p ={};
        p.url =url;
        p.data ={ "info": 1 };
        p.cbcall =function (msg, data) {
        	if (msg ==1){
        		var countyirens = jsfun.CLng(data.countyirens)
                var counttracks = jsfun.CLng(data.counttracks);
                if (countyirens > 0) {
                    _me.datayirens = JSON.parse(data.datayirens);
                    dataInit.datayirens = _me.datayirens;
                }
                if (counttracks > 0) {
                    _me.datatracks = JSON.parse(data.datatracks);
                    dataInit.datatracks = _me.datatracks;
                }
                sessionStorage["jsfun_yirentracks"] = JSON.stringify(dataInit);
                fncallback();
        	}
        }
        jsAjax.ajax(p);
    }
    this.getTrack = function (yirentrackid) {
        var data = {};
        for (var i = 0, n = _me.datatracks.length; i < n; i++) {
            if (_me.datatracks[i].id == yirentrackid) {
                data = _me.datatracks[i];
                break;
            }
        }
        return data;
    }
    this.getYiren = function (yirenid) {
        var data = {};
        for (var i = 0, n = _me.datayirens.length; i < n; i++) {
            if (_me.datayirens[i].userid == yirenid) {
                data = _me.datayirens[i];
                break;
            }
        }
        return data;
    }
    this.calcDistance = function (lng, lat) {
        for (var i = 0, n = _me.datayirens.length; i < n; i++) {
            var row = _me.datayirens[i];
            var lngi = jsfun.CDbl(row.longitude);
            var lati = jsfun.CDbl(row.latitude);
            if (lngi > 0 && lati > 0 && lng > 0 && lat > 0) {
                row.distance = jsfun.getDistance(lng, lat, lngi, lati)
            }
        }
    }
    this.yirenSort = function (params) {
        //params:{key:key, type:type} key: 字段  type: 数据类型 0字符串， 1数值 2 日期
        function compare(value1, value2) {
            var v1 = value1[key];
            var v2 = value2[key];
            if (v1 == v2) return 0;
            if (v1 < v2) return -1;
            return 1;
        }
        function compareTime(value1, value2) {
            //时间倒序
            var v1 = value1[key].valueOf();;
            var v2 = value2[key].valueOf();;
            if (v1 == v2) return 0;
            if (v1 < v2) return 1;
            return -1;
        }
        if (params == null) return;
        if (isSameSortParams(params, sortparamtrack)) return;
        var key = params.key;
        var type = jsfun.CLng(params.type);
        var da =_me.datayirens;
        if (type > 0) {
            for (var i = 0, n = da.length; i < n; i++) {
            	var di =da[i];
                if (type == 1) {
                    di[key] = jsfun.CLng(di[key]);
                }
                else { //2
                    di[key] = jsfun.CDateEx(di[key]);
                }
            }
        }
        if (type == 2) da.sort(compareTime); else da.sort(compare);
        sortparamyiren = params;
    }
    this.trackSort = function (params) {
        //params:{key: type} key: 字段  type: 数据类型 0字符串， 1数值 2 日期
        function compare(value1, value2) {
            var v1 = value1[key];
            var v2 = value2[key];
            if (v1 == v2) return 0;
            if (v1 < v2) return -1;
            return 1;
        }
        function compareTime(value1, value2) {
            //时间倒序
            var v1 = value1[key].valueOf();
            var v2 = value2[key].valueOf();
            if (v1 == v2) return 0;
            if (v1 < v2) return 1;
            return -1;
        } 
        if (params == null) return;
        if (isSameSortParams(params, sortparamtrack)) return;
        var key = params.key;
        var type = jsfun.CLng(params.type);
        var da =_me.datatracks;
        if (type > 0) {
            for (var i = 0, n = da.length; i < n; i++) {
            	var di =da[i];
                if (type == 1) {
                    di[key] = jsfun.CLng(di[key]);
                }
                else {//2
                    di[key] = jsfun.CDateEx(di[key]);
                }
            }
        }
        if (type == 2) da.sort(compareTime); else da.sort(compare);
        sortparamtrack = params;
    }
    this.yirens = function (sl, pageno) {
        var d = [];
        var len = jsfun.CLng(sl);
        if (len == 0) len = 8;
        var pageno = jsfun.CLng(pageno);
        if (pageno <= 0) pageno = 1;
        var pos = (pageno - 1) * sl;
        var n = _me.datayirens.length;
        if (pos + len < n) n = pos + len;
        for (var i = pos; i < n; i++) {
            var di = jsfun.dupSimpleObject(_me.datayirens[i]);
            var di2 = _me.getTrack(di.yirentrackid);
            di.trackname = di2.trackname;
            di.videourl = di2.videourl;
            di.videocover = di2.videocover;
            d.push(di);
        }
        return d;
    }
    this.tracks = function (sl, pageno) {
        var d = [];
        var len = jsfun.CLng(sl);
        if (len == 0) len = 8;
        var pageno = jsfun.CLng(pageno);
        if (pageno <= 0) pageno = 1;
        var pos = (pageno - 1) * sl;

        var n = _me.datatracks.length;
        if (pos + len < n) n = pos + len;
        for (var i = pos; i < n; i++) {
            var di = jsfun.dupSimpleObject(_me.datatracks[i]);
            var di2 = _me.getYiren(di.userid);
            di.yirenname = di2.yirenname;
            di.photourl = di2.photourl;
            di.goodat = di2.goodat;
            d.push(di);
        }
        return d;
    }
    this.filterYirens = function (key, val) {
        if (key == null) {
            _me.datayirens = dataInit.datayirens;
            return;
        }
        var d2 = [];
        var d = dataInit.datayirens;
        for (var i = 0, n = d.length; i < n; i++) {
            var v2 = jsfun.CStr(d[i][key]);
            if (v2.indexOf(val) >= 0) d2.push(d[i]);
        }
        _me.datayirens = d2;
        return d2;
    }
    this.filterTracks = function (key, val) {
        if (key == null) {
            _me.datatracks = dataInit.datatracks;
            return;
        }

        var d2 = [];
        var d = dataInit.datatracks;
        for (var i = 0, n = d.length; i < n; i++) {
            var v2 = jsfun.CStr(d[i][key]);
            if (v2.indexOf(val) >= 0) d2.push(d[i]);
        }
        _me.datatracks = d2;
        return d2;
    }
}